import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconPush as IconPushClass } from "../../../../components/icon/icons/push.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconPush = (props) => {
  IconPushClass.define();
  const JSXElement = getReactComponent("gds-icon-push");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconPush.displayName = "IconPush";
export {
  IconPush
};
